{ pkgs, ... }:

{
  home.packages = with pkgs; [
    eza    
    bat
  ];

  home.shellAliases = {
    ls = "eza";   
  };

  programs.bash = {
    enable = true;
  };

  programs.zellij = {
    enable = true;
    enableBashIntegration = true;
  };

  home.file.zellij = {
    target = ".config/zellij/config.kdl";
    text = ''
      pane_frames false
      default_layout "compact"
      keybinds {
        normal {
          bind "Ctrl e" { ToggleFloatingPanes; SwitchToMode "normal"; }
        }
      }
    '';
  };

}
